local mod = ...


mod:registerAssetId("heraldry/CoA7.png", "HERALDRY_G", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_G",
	Description = "VILLAGE_G_DESC",
	Heraldry = "HERALDRY_G",
	VillageName = "House Armstar of Lightcross",
	UnlockCost = {{ Resource = "HONEY", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.5,
	BuyingResourceList = {
		-- ,
		-- ,
		{ ResourceMaxAmount = { Resource = "BREAD", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } },
		{ ResourceMaxAmount = { Resource = "BERRIES", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } },
		{ ResourceMaxAmount = { Resource = "HONEY", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } },
		{ ResourceMaxAmount = { Resource = "BOAR", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } },
		
	},
	SellingResourceList={
		-- leather
		-- ,
		{ ResourceMaxAmount = { Resource = "RESOURCE_FRUIT", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } },
		{ ResourceMaxAmount = { Resource = "RESOURCE_CIDER", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } },
		{ ResourceMaxAmount = { Resource = "BARREL", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } },
		{ ResourceMaxAmount = { Resource = "JEWELRY", Quantity = 5 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 150 } },
		
	},
	Allegiance = "CLERGY"
})